import request from '@/utils/request'

// 查询行业限制列表
export function listLimit(data) {
  return request({
    url: '/tLimit/list',
    method: 'post',
    data: data
  })
}

// 查询行业限制详细
export function getLimit(id) {
  return request({
    url: '/tLimit/' + id,
    method: 'get'
  })
}

// 新增行业限制
export function addLimit(data) {
  return request({
    url: '/tLimit',
    method: 'post',
    data: data
  })
}

// 修改行业限制
export function updateLimit(data) {
  return request({
    url: '/tLimit',
    method: 'put',
    data: data
  })
}

// 删除行业限制
export function delLimit(id) {
  return request({
    url: '/tLimit/' + id,
    method: 'delete'
  })
}

// 导出行业限制
export function exportLimit(query) {
  return request({
    url: '/tLimit/export',
    method: 'get',
    params: query
  })
}
